Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/rewards/{rewardId}/assignments/{assignmentId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"parameters": {
"loyalty": {
"points": 35
}
}
}
'{
"id": "rewa_pJYQBXSitK2OVPK3XMXZK76X",
"reward_id": "rew_C7wS9eHFDN4CIbXI5PpLSkGY",
"related_object_id": "camp_jcErmtGAOmHUAy0oUgkwKnPZ",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 35
}
},
"created_at": "2022-08-24T11:40:22.418Z",
"updated_at": "2022-08-24T13:02:32.262Z",
"object": "reward_assignment"
}Update the number of points needed to successfully redeem the reward.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/rewards/{rewardId}/assignments/{assignmentId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"parameters": {
"loyalty": {
"points": 35
}
}
}
'{
"id": "rewa_pJYQBXSitK2OVPK3XMXZK76X",
"reward_id": "rew_C7wS9eHFDN4CIbXI5PpLSkGY",
"related_object_id": "camp_jcErmtGAOmHUAy0oUgkwKnPZ",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 35
}
},
"created_at": "2022-08-24T11:40:22.418Z",
"updated_at": "2022-08-24T13:02:32.262Z",
"object": "reward_assignment"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A unique reward ID.
"rew_2erjvECLs92GYzKbak3QkyTV"
A unique reward assignment ID.
"rewa_m9hEAu10KsPcLhGXiHG85aY0"
Define the number of points required to exchange for the reward.
Request body schema for PUT v1/rewards/{rewardId}/assignments/{assignmentId}.
An object that defines the price of the reward in loyalty points.
Show child attributes
Returns the updated reward assignment object.
Response body schema for PUT v1/rewards/{rewardId}/assignments/{assignmentId}.
Unique reward assignment ID, assigned by Voucherify.
"rewa_PbIRoMXpwe5QhobW4JKu0VjH"
Associated reward ID.
"rew_C7wS9eHFDN4CIbXI5PpLSkGY"
Timestamp representing the date and time when the reward assignment was created. The value is shown in the ISO 8601 format.
"2022-08-11T14:49:22.586Z"
Timestamp representing the date and time when the reward assignment was updated. The value is shown in the ISO 8601 format.
"2022-08-11T16:01:34.885Z"
The type of the object represented by the JSON. This object stores information about the reward assignment.
reward_assignment Related object ID to which the reward was assigned.
"camp_wciTvaOfYmAa3EmIIW3QpXXZ"
Related object type to which the reward was assigned.
campaign Defines the cost of the reward.
Show child attributes
Was this page helpful?